# 功能：将数据发送到局域网服务器
# 实验：PC上运行Myweather例程的webapp.py
#           在P0口上接DHT11，掌控板运行本程序
#           每2秒发送发送数据webapp.py，并做本地信息显示和报警
#           在浏览器中输入服务器IP:8080可以查看实时信息
#注意事项：URL_SERVER和OLED上显示的本地IP必须是同一网段

from mpython import *
import dht
import time
import urequests

SSID = "yourSSID" #替换成wifi热点名称
PASSWD = "yourPasswd" #替换成wifi热点密码
URL_SERVER="http://192.168.2.160:8080/input"#替换你的服务器IP
ALARM_T = 22 #报警温度
dht11Pin = MPythonPin(0)
dht11 = dht.DHT11(dht11Pin.Pin)
mywifi=wifi()

oled.DispChar("正在联网...",0,0)
oled.DispChar("SSID: %s"%SSID, 0, 16)
oled.show()
oled.fill(0)

mywifi.connectWiFi(SSID, PASSWD)          #连接 WiFi 网络

oled.DispChar("联网成功",0,0)
oled.DispChar("您的IP是",0,16)
info = mywifi.sta.ifconfig()
oled.DispChar("IP : %s"%str(info[0]),0,32)
oled.show()

while True:
  dht11.measure()
  t = dht11.temperature() # eg. 23 (℃)
  print("DHT11 温度=%d℃"%t)
  oled.DispChar("当前温度 %3d℃"%t,0,48)
  oled.show()
  urequests.get(URL_SERVER, params={
        'id': '1',
        'val': str(t),
    })
  if(t >= ALARM_T):
    rgb[0] = (255,0,0)
  else:
    rgb[0] = (0,0,0)
  rgb.write()
  
  time.sleep(5)
